from http import HTTPMethod, HTTPStatus

from ...conftest import HttpApiProxy, LambdaContext


def test_password(
    app,
    seeds,
    http_api_proxy: HttpApiProxy,
    lambda_context: LambdaContext,
):
    r = app.lambda_handler(
        http_api_proxy(
            raw_path='/users/15bacf02-1535-4bee-9022-19d106fd7518/password',
            method=HTTPMethod.POST,
            body={'new_password': '123@56'},
        ),
        lambda_context,
    )

    assert r['statusCode'] == HTTPStatus.NO_CONTENT
